document.addEventListener('DOMContentLoaded', function () {
    var ts = 5;
    var ck = 3;

    function updateLabel() {
        document.getElementById('label_ts').innerText = ts + "套的售价:";
        document.getElementById('label_yf').innerText = ts + "套的运费:";
    }

    function increaseTS() {
        ts++;
        document.getElementById('ts').value = ts;
        updateLabel();
    }

    function decreaseTS() {
        if (ts > 5) {
            ts--;
            document.getElementById('ts').value = ts;
            updateLabel();
        }
    }

    function increaseTS5() {
        ts += 5;
        document.getElementById('ts').value = ts;
        updateLabel();
    }
    
    function decreaseTS5() {
        if (ts > 10) {
            ts -= 5;
            document.getElementById('ts').value = ts;
            updateLabel();
        }
    }


    function increaseCK() {
        ck++;
        document.getElementById('ck').value = ck;
        updateLabel();
    }
    
    function decreaseCK() {
        if (ck > 3) {
            ck--;
            document.getElementById('ck').value = ck;
            updateLabel();
        }
    }


    function calculate() {
        var num1 = parseFloat(document.getElementById('input1').value);
        var num2 = parseFloat(document.getElementById('input2').value) || 0;
        var num3 = parseFloat(document.getElementById('input3').value) || 0;
        var randomAmount = Math.random() * (3 - 1) + 1;


        var output_1 = (((num1 + num2) / ts) + ck) * 1.5;
        var output_2 = (((num1 + num2) / ts) + ck) * 1.4;
        var output_3 = (((num1 + num2) / ts) + ck) * 1.3;
        var output_4 = (((num1 + num2) / ts) + ck) * 1;
        var output_5 = num3 - output_4;
        var output_6 = ((num3 / output_4) - 1) * 100;
        var output_jyj = output_1 + randomAmount;
        var output_cklr = output_jyj - output_4;

        document.getElementById('result150').value = output_1.toFixed(2) + "元";
        document.getElementById('result140').value = output_2.toFixed(2) + "元";
        document.getElementById('result130').value = output_3.toFixed(2) + "元";
        document.getElementById('result100').value = output_4.toFixed(2) + "元";
        document.getElementById('resultlr').value = output_5.toFixed(2) + "元";
        document.getElementById('resultlrl').value = output_6.toFixed(2) + "%";
        document.getElementById('resultjyj').value = output_jyj.toFixed(2) + "元";
        document.getElementById('resultcklr').value = output_cklr.toFixed(2) + "元";
    }

    function clearFields() {
        ts = 5;
        /*ck = 3;*/
        document.getElementById('ts').value = ts;
        /*document.getElementById('ck').value = ck;*/
        document.getElementById('input1').value = "";
        document.getElementById('input2').value = "";
        document.getElementById('input3').value = "";
        document.getElementById('result150').value = "";
        document.getElementById('result140').value = "";
        document.getElementById('result130').value = "";
        document.getElementById('result100').value = "";
        document.getElementById('resultlr').value = "";
        document.getElementById('resultlrl').value = "";
        document.getElementById('resultjyj').value = "";
        document.getElementById('resultcklr').value = "";
        updateLabel();
    }

    function toggleMode() {
        var body = document.body;
        var container = document.querySelector('.container');
        var inputs = document.querySelectorAll('input[type="text"]');
        var results = document.querySelectorAll('.result');
        var labels = document.querySelectorAll('label');
        var setmode = document.querySelector('.setmode');
        var fonticon = document.querySelector('.fonticon');

        if (body.classList.contains('dark-mode')) {
            body.classList.remove('dark-mode');
            container.style.backgroundColor = "#fff";
            body.style.backgroundColor = "#f0f0f0";
            inputs.forEach(function (input) {
                input.style.backgroundColor = "#fff";
                input.style.color = "#000";
            });
            results.forEach(function (result) {
                result.style.backgroundColor = "#fff";
            });
            labels.forEach(function (label) {
                label.style.color = "#000";
            });
            setmode.style.color = "#000";
            fonticon.style.color = "#000";
        } else {
            body.classList.add('dark-mode');
            container.style.backgroundColor = "#333";
            body.style.backgroundColor = "#1F1F1F";
            inputs.forEach(function (input) {
                input.style.backgroundColor = "#333";
                input.style.color = "#fff";
            });
            results.forEach(function (result) {
                result.style.backgroundColor = "#333";
            });
            labels.forEach(function (label) {
                label.style.color = "#fff";
            });
            setmode.style.color = "#fff";
            fonticon.style.color = "#fff";
        }
    }

    copyQuoteBtn.addEventListener("click", function() {
        const quoteValue = document.getElementById("resultjyj").value;
    
        const regex = /\d+(\.\d+)?/; 
        const matches = quoteValue.match(regex);
        const copiedValue = matches ? matches[0] : ''; 
    
        const tempInput = document.createElement("input");
        tempInput.value = copiedValue;
        document.body.appendChild(tempInput);
    
        tempInput.select();
    
        document.execCommand("copy");
    
        document.body.removeChild(tempInput);

    });

    document.getElementById('calculateBtn').addEventListener('click', calculate);
    document.getElementById('clearFieldsBtn').addEventListener('click', clearFields);
    document.getElementById('increaseTSBtn').addEventListener('click', increaseTS);
    document.getElementById('decreaseTSBtn').addEventListener('click', decreaseTS);
    document.getElementById('increaseCKBtn').addEventListener('click', increaseCK);
    document.getElementById('decreaseCKBtn').addEventListener('click', decreaseCK);
    document.getElementById('increaseTS5Btn').addEventListener('click', increaseTS5);
    document.getElementById('decreaseTS5Btn').addEventListener('click', decreaseTS5);
    document.querySelector('.setmode').addEventListener('click', toggleMode);
    document.getElementById('copyQuoteBtn').addEventListener('click', copyQuote);

});
